GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List responses GETCount responses GETGet response GET
Responses

Count responses GET

Response counts by engine and by engine per UTC day, for the list filters.

List topics GET

List a brand's prompt topics with prompt counts.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Responses

Get response

GET
/brands/{brandId}/responses/{responseId}

Get one response with its answer, mentions and citations.

Authorization

apiKey
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Path Parameters

brandId*string
Formatuuid
responseId*string
Formatuuid

Response Body

Response detail

application/json
  1. response
  1. response
  2. …
id*string
Formatuuid
promptId*string
Formatuuid
promptText*string
engine*string
status*string
Value in"completed""empty"
preview*string

Start of the answer, plain text

visibilityScore*integer|null
sentiment*integer|null
brandMentioned*boolean|null
mentions*array<>
citations*
answeredAt*string
Formatdate-time
countryCode*string
provider*string|null
model*string|null
answerText*string|null
answerMarkdown*string|null
brandPosition*integer|null
citationList*array<>
brands*array<>
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/responses/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "promptId": "b5415d63-4390-40ec-8c2b-33a2db2f5c67",  "promptText": "string",  "engine": "string",  "status": "completed",  "preview": "string",  "visibilityScore": 0,  "sentiment": 0,  "brandMentioned": true,  "mentions": [    {      "key": "string",      "position": 0,      "mentions": 0    }  ],  "citations": {    "brand": 0,    "total": 0  },  "answeredAt": "2019-08-24T14:15:22Z",  "countryCode": "string",  "provider": "string",  "model": "string",  "answerText": "string",  "answerMarkdown": "string",  "brandPosition": 0,  "citationList": [    {      "position": 0,      "url": "string",      "domain": "string",      "title": "string",      "description": "string",      "kind": "source",      "owner": "brand",      "ownerKey": "string"    }  ],  "brands": [    {      "key": "string",      "name": "string",      "domain": "string",      "logoUrl": "string",      "isBrand": true    }  ]}

Count responses GET

Response counts by engine and by engine per UTC day, for the list filters.

List topics GET

List a brand's prompt topics with prompt counts.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/responses/497f6eca-6276-4993-bfeb-53cbbbba6f08'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "promptId": "b5415d63-4390-40ec-8c2b-33a2db2f5c67",
  "promptText": "string",
  "engine": "string",
  "status": "completed",
  "preview": "string",
  "visibilityScore": 0,
  "sentiment": 0,
  "brandMentioned": true,
  "mentions": [
    {
      "key": "string",
      "position": 0,
      "mentions": 0
    }
  ],
  "citations": {
    "brand": 0,
    "total": 0
  },
  "answeredAt": "2019-08-24T14:15:22Z",
  "countryCode": "string",
  "provider": "string",
  "model": "string",
  "answerText": "string",
  "answerMarkdown": "string",
  "brandPosition": 0,
  "citationList": [
    {
      "position": 0,
      "url": "string",
      "domain": "string",
      "title": "string",
      "description": "string",
      "kind": "source",
      "owner": "brand",
      "ownerKey": "string"
    }
  ],
  "brands": [
    {
      "key": "string",
      "name": "string",
      "domain": "string",
      "logoUrl": "string",
      "isBrand": true
    }
  ]
}